# frozen_string_literal: true

require 'thor'
require 'paint'
require 'ruby-progressbar'

require 'clipwn/version'
require 'clipwn/hibp'

module Clipwn

  class Error < StandardError; end
  class FileNotReadableError < StandardError; end

  # Entrypoint for the cli application
  class CliPwn < Thor
    desc 'check EMAIL', 'Check the email addresse'
    def check(address)
      puts address
    end

    desc 'hibp SUBCOMMAND ...ARGS', 'Interact with ;) have I been pwned'
    subcommand 'hibp', Hibp::Cli
  end

end
